<!DOCTYPE html>
{% load static %}
{% load thumbnail %}
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>{% block title %} {% endblock %}</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.7 -->
    <link rel="stylesheet" href="{% static request.THEME_NAME|add:'css/bootstrap/css/bootstrap.min.css' %}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{% static request.THEME_NAME|add:'css/font-awesome/css/font-awesome.min.css' %}">
    <!-- Ionicons -->
    <link rel="stylesheet" href="{% static request.THEME_NAME|add:'css/Ionicons/css/ionicons.min.css' %}">

    <link rel="stylesheet" href="{% static request.THEME_NAME|add:'css/select2/select2.min.css' %}">

    <!-- Theme style -->
    <link rel="stylesheet" href="{% static request.THEME_NAME|add:'css/AdminLTE.min.css' %}">

    <!-- ClassicUserAccount Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="{% static request.THEME_NAME|add:'css/skins/_all-skins.min.css' %}">
    <!-- Morris chart -->
    <link rel="stylesheet" href="{% static request.THEME_NAME|add:'css/morris.js/morris.css' %}">
    <!-- jvectormap -->
    <link rel="stylesheet" href="{% static request.THEME_NAME|add:'css/jvectormap/jquery-jvectormap.css' %}">
    <!-- Date Picker -->
    <link rel="stylesheet" href="{% static request.THEME_NAME|add:'css/bootstrap-datepicker/bootstrap-datepicker.min.css' %}">
    <!-- Daterange picker -->
    <link rel="stylesheet" href="{% static request.THEME_NAME|add:'css/bootstrap-daterangepicker/daterangepicker.css' %}">
    <!-- bootstrap wysihtml5 - text editor -->
    <link rel="stylesheet" href="{% static request.THEME_NAME|add:'css/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css' %}">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]><script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script><script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script><![endif]-->

    <!-- Google Font -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

    <style>
        .dateinput, .datetimeinput {
            padding-left: 30px;
            background-image: url('/static/img/calendar.png');
            background-repeat: no-repeat;
            background-size: 25px;
            background-position: 2px;
        }
        .sticky {
            position: fixed;
            top: 0;
            width: 100%;
        }
        .sticky-sidebar {
            position: fixed;
        }
    </style>

  {% block extra_style_block %}

  {% endblock %}

</head>
<body class="hold-transition skin-blue sidebar-mini">
    <div class="wrapper">
        <header class="main-header" id="col-main_header">
            <!-- Logo -->
            <a href="/" class="logo" style="background: #101753;">
                <!-- mini logo for sidebar mini 50x50 pixels -->
                <img src="{% static '/img/logo.png' %}" style="max-height: 45px;">
                <!--<span class="logo-mini" style="font-size:12px;">{{request.site_name}}</span>-->
                <!-- logo for regular state and mobile devices -->
                <!--<span class="logo-lg"><b>{{request.site_name}}</b></span>-->
            </a>
            <!-- Header Navbar: style can be found in header.less -->
            <nav class="navbar navbar-static-top" style="background: #101753;">
                <!-- Sidebar toggle button-->
                <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
                    <span class="sr-only">Toggle navigation</span>
                </a>

                {% block extra_search_item %}

                {% endblock %}

                <div class="navbar-custom-menu">
                    <ul class="nav navbar-nav">
                        {% block extra_nav_item %}

                        {% endblock %}
                    </ul>
                </div>
            </nav>
        </header>

        <!-- Left side column. contains the logo and sidebar -->
        <aside class="main-sidebar" id="col-main-sidebar" style="background: #20204c;">
            <!-- sidebar: style can be found in sidebar.less -->
            <section class="sidebar">
                <!-- Sidebar user panel -->
                <div class="user-panel" style="overflow:unset;">
                    <div class="pull-left image">
                        {% thumbnail request.user.avatar_tag "45x45" as im %}
                            {{request.user.avatar_tag}}
                        {% endthumbnail %}
                    </div>
                    <div class="pull-left info">
                        <p>{{request.user.get_full_name}}</p>
                        <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
                    </div>
                </div>

                <!-- search form -->
                <!-- <form action="#" method="get" class="sidebar-form">
                    <div class="input-group">
                        <input type="text" name="q" class="form-control" placeholder="Search...">
                        <span class="input-group-btn">
                            <button type="submit" name="search" id="search-btn" class="btn btn-flat">
                                <i class="fa fa-search"></i>
                            </button>
                        </span>
                    </div>
                </form> -->
                <!-- /.search form -->

                <!-- sidebar menu: : style can be found in sidebar.less -->
                <ul class="sidebar-menu" data-widget="tree">
                    {% block side_menu %}
                        <li class="header">MAIN NAVIGATION</li>
                        <li class="active treeview">
                            <a href="#">
                                <i class="fa fa-dashboard"></i> <span>Dashboard</span>
                                <span class="pull-right-container">
                                    <i class="fa fa-angle-left pull-right"></i>
                                </span>
                            </a>
                            <ul class="treeview-menu">
                                <li class="active"><a href=""><i class="fa fa-circle-o"></i> Dashboard v1</a></li>
                            </ul>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">
                                <i class="fa fa-lock"></i> <span>Logout</span>
                                <span class="pull-right-container">
                                  <!--<small class="label pull-right bg-green">new</small>-->
                                </span>
                            </a>
                        </li>
                    {% endblock %}
                </ul>
            </section><!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    {% block content_title %}

                    {% endblock %}
                </h1>
            </section>

            <!-- Main content -->
            <section class="content">
                {% block content %}

                {% endblock %}
            </section><!-- /.content -->
        </div>

        <!-- /.content-wrapper -->
        <footer class="main-footer" style="background: #101753;">
            <div class="pull-right hidden-xs">
                <b>Version</b> 1.0.1
            </div>
            <strong>Copyright &copy; 2018 <a href="">{{request.site_name}}</a>.
            </strong> All rights reserved.
        </footer>

        <!-- Control Sidebar -->
        <!--<aside class="control-sidebar control-sidebar-dark">-->
            <!--&lt;!&ndash; Create the tabs &ndash;&gt;-->
            <!--<ul class="nav nav-tabs nav-justified control-sidebar-tabs">-->
                <!--<li>-->
                    <!--<a href="#control-sidebar-home-tab" data-toggle="tab">-->
                        <!--<i class="fa fa-home"></i>-->
                    <!--</a>-->
                <!--</li>-->
                <!--<li>-->
                    <!--<a href="#control-sidebar-settings-tab" data-toggle="tab">-->
                        <!--<i class="fa fa-gears"></i>-->
                    <!--</a>-->
                <!--</li>-->
            <!--</ul>&lt;!&ndash; Tab panes &ndash;&gt;-->

            <!--<div class="tab-content">-->
                <!--&lt;!&ndash; Home tab content &ndash;&gt;-->
                <!--<div class="tab-pane" id="control-sidebar-home-tab">-->
                    <!--<h3 class="control-sidebar-heading">Recent Activity</h3>-->
                    <!--<ul class="control-sidebar-menu">-->
                        <!--<li>-->
                            <!--<a href="javascript:void(0)">-->
                                <!--<i class="menu-icon fa fa-birthday-cake bg-red"></i>-->
                                <!--<div class="menu-info">-->
                                    <!--<h4 class="control-sidebar-subheading">Langdon's Birthday</h4>-->
                                    <!--<p>Will be 23 on April 24th</p>-->
                                <!--</div>-->
                            <!--</a>-->
                        <!--</li>-->
                        <!--<li>-->
                            <!--<a href="javascript:void(0)">-->
                                <!--<i class="menu-icon fa fa-user bg-yellow"></i>-->
                                <!--<div class="menu-info">-->
                                    <!--<h4 class="control-sidebar-subheading">Frodo Updated His Profile</h4>-->
                                    <!--<p>New phone +1(800)555-1234</p>-->
                                <!--</div>-->
                            <!--</a>-->
                        <!--</li>-->
                        <!--<li>-->
                            <!--<a href="javascript:void(0)">-->
                                <!--<i class="menu-icon fa fa-envelope-o bg-light-blue"></i>-->
                                <!--<div class="menu-info">-->
                                    <!--<h4 class="control-sidebar-subheading">Nora Joined Mailing List</h4>-->
                                    <!--<p>nora@example.com</p>-->
                                <!--</div>-->
                            <!--</a>-->
                        <!--</li>-->
                        <!--<li>-->
                            <!--<a href="javascript:void(0)">-->
                                <!--<i class="menu-icon fa fa-file-code-o bg-green"></i>-->
                                <!--<div class="menu-info">-->
                                    <!--<h4 class="control-sidebar-subheading">Cron Job 254 Executed</h4>-->
                                    <!--<p>Execution time 5 seconds</p>-->
                                <!--</div>-->
                            <!--</a>-->
                        <!--</li>-->
                    <!--</ul>&lt;!&ndash; /.control-sidebar-menu &ndash;&gt;-->

                    <!--<h3 class="control-sidebar-heading">Tasks Progress</h3>-->
                    <!--<ul class="control-sidebar-menu">-->
                        <!--<li>-->
                            <!--<a href="javascript:void(0)">-->
                                <!--<h4 class="control-sidebar-subheading">-->
                                    <!--Custom Template Design-->
                                    <!--<span class="label label-danger pull-right">70%</span>-->
                                <!--</h4>-->
                                <!--<div class="progress progress-xxs">-->
                                    <!--<div class="progress-bar progress-bar-danger" style="width: 70%"></div>-->
                                <!--</div>-->
                            <!--</a>-->
                        <!--</li>-->
                        <!--<li>-->
                            <!--<a href="javascript:void(0)">-->
                                <!--<h4 class="control-sidebar-subheading">-->
                                    <!--Update Resume-->
                                    <!--<span class="label label-success pull-right">95%</span>-->
                                <!--</h4>-->
                                <!--<div class="progress progress-xxs">-->
                                    <!--<div class="progress-bar progress-bar-success" style="width: 95%"></div>-->
                                <!--</div>-->
                            <!--</a>-->
                        <!--</li>-->
                        <!--<li>-->
                            <!--<a href="javascript:void(0)">-->
                                <!--<h4 class="control-sidebar-subheading">-->
                                    <!--Laravel Integration-->
                                    <!--<span class="label label-warning pull-right">50%</span>-->
                                <!--</h4>-->
                                <!--<div class="progress progress-xxs">-->
                                    <!--<div class="progress-bar progress-bar-warning" style="width: 50%"></div>-->
                                <!--</div>-->
                            <!--</a>-->
                        <!--</li>-->
                        <!--<li>-->
                            <!--<a href="javascript:void(0)">-->
                                <!--<h4 class="control-sidebar-subheading">-->
                                    <!--Back End Framework-->
                                    <!--<span class="label label-primary pull-right">68%</span>-->
                                <!--</h4>-->
                                <!--<div class="progress progress-xxs">-->
                                    <!--<div class="progress-bar progress-bar-primary" style="width: 68%"></div>-->
                                <!--</div>-->
                            <!--</a>-->
                        <!--</li>-->
                    <!--</ul>&lt;!&ndash; /.control-sidebar-menu &ndash;&gt;-->
                <!--</div>&lt;!&ndash; /.tab-pane &ndash;&gt;-->

                <!--&lt;!&ndash; Stats tab content &ndash;&gt;-->
                <!--<div class="tab-pane" id="control-sidebar-stats-tab">Stats Tab Content</div>-->
                <!--&lt;!&ndash; /.tab-pane &ndash;&gt;-->
                <!--&lt;!&ndash; Settings tab content &ndash;&gt;-->
                <!--<div class="tab-pane" id="control-sidebar-settings-tab">-->
                    <!--<form method="post">-->
                        <!--<h3 class="control-sidebar-heading">General Settings</h3>-->
                        <!--<div class="form-group">-->
                            <!--<label class="control-sidebar-subheading">-->
                                <!--Report panel usage-->
                                <!--<input type="checkbox" class="pull-right" checked>-->
                            <!--</label>-->

                            <!--<p>Some information about this general settings option</p>-->
                        <!--</div>&lt;!&ndash; /.form-group &ndash;&gt;-->

                        <!--<div class="form-group">-->
                            <!--<label class="control-sidebar-subheading">-->
                                <!--Allow mail redirect-->
                                <!--<input type="checkbox" class="pull-right" checked>-->
                            <!--</label>-->

                            <!--<p>Other sets of options are available</p>-->
                        <!--</div>&lt;!&ndash; /.form-group &ndash;&gt;-->

                        <!--<div class="form-group">-->
                            <!--<label class="control-sidebar-subheading">-->
                                <!--Expose author name in posts-->
                                <!--<input type="checkbox" class="pull-right" checked>-->
                            <!--</label>-->

                            <!--<p>Allow the user to show his name in blog posts</p>-->
                        <!--</div>&lt;!&ndash; /.form-group &ndash;&gt;-->

                        <!--<h3 class="control-sidebar-heading">Chat Settings</h3>-->
                        <!--<div class="form-group">-->
                            <!--<label class="control-sidebar-subheading">-->
                                <!--Show me as online-->
                                <!--<input type="checkbox" class="pull-right" checked>-->
                            <!--</label>-->
                        <!--</div>&lt;!&ndash; /.form-group &ndash;&gt;-->

                        <!--<div class="form-group">-->
                            <!--<label class="control-sidebar-subheading">-->
                                <!--Turn off notifications-->
                                <!--<input type="checkbox" class="pull-right">-->
                            <!--</label>-->
                        <!--</div>&lt;!&ndash; /.form-group &ndash;&gt;-->

                        <!--<div class="form-group">-->
                            <!--<label class="control-sidebar-subheading">-->
                                <!--Delete chat history-->
                                <!--<a href="javascript:void(0)" class="text-red pull-right">-->
                                    <!--<i class="fa fa-trash-o"></i>-->
                                <!--</a>-->
                            <!--</label>-->
                        <!--</div>&lt;!&ndash; /.form-group &ndash;&gt;-->
                    <!--</form>-->
                <!--</div>&lt;!&ndash; /.tab-pane &ndash;&gt;-->
            <!--</div>-->
        <!--</aside>&lt;!&ndash; /.control-sidebar &ndash;&gt;-->
        <!-- Add the sidebar's background. This div must be placed immediately after the control sidebar -->
        <div class="control-sidebar-bg"></div>
    </div><!-- ./wrapper -->

    <!-- jQuery 3 -->
    <script src="{% static request.THEME_NAME|add:'js/jquery.min.js' %}"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="{% static request.THEME_NAME|add:'js/jquery-ui/jquery-ui.min.js' %}"></script>
    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <!-- Bootstrap 3.3.7 -->
    <script src="{% static request.THEME_NAME|add:'js/bootstrap.min.js' %}"></script>
    <script src="{% static request.THEME_NAME|add:'js/select2.full.min.js' %}"></script>

    <!-- Morris.js charts -->
    <script src="{% static request.THEME_NAME|add:'js/raphael.min.js' %}"></script>
    <script src="{% static request.THEME_NAME|add:'js/morris.min.js' %}"></script>
    <!-- Sparkline -->
    <script src="{% static request.THEME_NAME|add:'js/jquery.sparkline.min.js' %}"></script>
    <!-- jvectormap -->
    <!--<script src="{% static request.THEME_NAME|add:'js/jquery-jvectormap-1.2.2.min.js' %}"></script>-->
    <!--<script src="{% static request.THEME_NAME|add:'js/jquery-jvectormap-world-mill-en.js' %}"></script>-->
    <!-- jQuery Knob Chart -->
    <script src="{% static request.THEME_NAME|add:'js/jquery.knob.min.js' %}"></script>
    <!-- daterangepicker -->
    <script src="{% static request.THEME_NAME|add:'js/moment.min.js' %}"></script>
    <script src="{% static request.THEME_NAME|add:'js/daterangepicker.js' %}"></script>
    <!-- datepicker -->
    <script src="{% static request.THEME_NAME|add:'js/bootstrap-datepicker.min.js' %}"></script>
    <!-- Bootstrap WYSIHTML5 -->
    <script src="{% static request.THEME_NAME|add:'js/bootstrap3-wysihtml5.all.min.js' %}"></script>
    <!-- Slimscroll -->
    <script src="{% static request.THEME_NAME|add:'js/jquery.slimscroll.min.js' %}"></script>
    <!-- FastClick -->
    <script src="{% static request.THEME_NAME|add:'js/fastclick.js' %}"></script>
    <!-- ClassicUserAccount App -->
    <script src="{% static request.THEME_NAME|add:'js/adminlte.min.js' %}"></script>
    <!-- ClassicUserAccount dashboard demo (This is only for demo purposes) -->
    <!--<script src="{% static request.THEME_NAME|add:'js/dashboard.js' %}"></script>-->
    <!-- ClassicUserAccount for demo purposes -->
    <script src="{% static request.THEME_NAME|add:'js/demo.js' %}"></script>

    <script>
        var mySkins = [
            'skin-blue',
            'skin-black',
            'skin-red',
            'skin-yellow',
            'skin-purple',
            'skin-green',
            'skin-blue-light',
            'skin-black-light',
            'skin-red-light',
            'skin-yellow-light',
            'skin-purple-light',
            'skin-green-light'
        ];

        var skin = '{{request.skin}}';
        function changeSkin(cls) {
            $.each(mySkins, function (i) {
                $('body').removeClass(mySkins[i])
            })

            $('body').addClass(cls)
            store('skin', cls)
            return false
        }

        function store(name, val) {
            if (typeof (Storage) !== 'undefined') {
                localStorage.setItem(name, val)
            } else {
                window.alert('Please use a modern browser to properly view this template!')
            }
        }

        if(skin!=''){
            changeSkin(skin);
        }

        $(document).ready(function(){
            $('.select2').select2();
            $('.datetimeinput').datepicker({
                autoclose: true
            });

            $('.dateinput').datepicker({
                autoclose: true
            });

            window.setTimeout(function(){
                $(".main-sidebar a").each(function(){
                   var h = $(this).attr("href");
                   if(h == window.location.pathname){
                       $(this.parentElement).addClass("active");
                       if($(this).parents('ul')){
                           $(this).parents('ul.treeview-menu').each(function(){
                               $($(this).prev()).click();
                           });
                       }
                   }
                   else{
                       $(this.parentElement).removeClass("active");
                   }

                });
            }, 500);
        });
    </script>

    <script>
        window.onscroll = function() {myFunction()};

        var header = document.getElementById("col-main_header");
        var sticky = header.offsetTop;
        var sidebar = document.getElementById("col-main-sidebar");
        var sticky1 = sidebar.offsetTop;

        function myFunction() {
            if (window.pageYOffset > sticky) {
                header.classList.add("sticky");
            } else {
                header.classList.remove("sticky");
            };

            if (window.pageYOffset > sticky1) {
                sidebar.classList.add("sticky-sidebar");
            } else {
                sidebar.classList.remove(".sticky-sidebar");
            }
            return false;
        }
    </script>

    {% block extra_script_block %}

    {% endblock %}
</body>
</html>
